import request from '@/axios';

export const getAllList = () => {
  return request({
    url: '/sf/operationServiceType/list',
    method: 'get',
  })
}

export const getList = (page, params) => {
  return request({
    url: '/sf/operationServiceType/page',
    method: 'get',
    params: {
      ...params,
      current:page.currentPage,
      size:page.pageSize,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/sf/operationServiceType/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const add = (row) => {
  return request({
    url: '/sf/operationServiceType/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/sf/operationServiceType/update',
    method: 'post',
    data: row
  })
}

export const remove = (ids) => {
  return request({
    url: '/sf/operationServiceType/remove',
    method: 'post',
    params: {
      id:ids,
    }
  })
}



